Apache JMeter

## org.apache.jmeter.samplers
Interface Sampler

All Superinterfaces:
  Cloneable, Serializable, TestElement

All Known Implementing Classes:
  AbstractSampler, AccessLogSampler, AjpSampler, BaseJMSSampler, BeanShellSampler, BSFSampler, DebugSampler, Example1, Example2, ExampleSampler, FTPSampler, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCSampler, JMSSampler, JSR223Sampler, JUnitSampler, LDAPExtSampler, LDAPSampler, MailReaderSampler, PublisherSampler, SmtpSampler, SoapSampler, SubscriberSampler, TCPSampler, TestAction, TransactionSampler, WebServiceSampler

    public interface Sampler

extends Serializable, TestElement

Classes which are able to generate information about an entry should implement this interface.

Version:
  $Revision: 674365 $

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Method Summary
`SampleResult` `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Method Detail

### sample

    SampleResult sample(Entry e)

  Obtains statistics about the given Entry, and packages the information into a SampleResult.

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.